Package: org.grails.cli.profile.steps

## [Groovy] Class StepRegistry

- org.grails.cli.profile.steps.StepRegistry

-     @groovy.transform.CompileStatic
      class StepRegistry
      extends java.lang.Object

  Registry of steps

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Collection<StepFactory>` | `registeredStepFactories` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StepRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `static Step` | `getStep(java.lang.String name, Command command, java.util.Map parameters)` Looks up a Step

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.util.Collection<StepFactory> registeredStepFactories

  - ### Constructor Detail

    - #### StepRegistry()

  - ### Method Detail

    - #### static void ()

    - #### static Step getStep(java.lang.String name, Command command, java.util.Map parameters)

      Looks up a Step

      Parameters:
        `name` - The name of the Step
      Returns:
        A step or null if it doesn't exist for the given name